Package com.collibra.dgc.core.api.dto.workflow

# Class ChangeWorkflowDefinitionRequest.Builder

Object
Builder

Enclosing class:
  `ChangeWorkflowDefinitionRequest`

public static final class ChangeWorkflowDefinitionRequest.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ChangeWorkflowDefinitionRequest.Builder`
  `addConfigurationVariable(String configurationVariableKey, String configurationVariableValue)`
  Adds configuration variable.
  `ChangeWorkflowDefinitionRequest.Builder`
  `addReassignRoleId(UUID reassignRoleId)`
  Adds a reassign role ID that identifies the role that allow to reassign the workflow.
  `ChangeWorkflowDefinitionRequest.Builder`
  `addStartEvent(WorkflowStartEventType startEvent)`
  Adds a workflow start event.
  `ChangeWorkflowDefinitionRequest.Builder`
  `addStartRoleId(UUID startRoleId)`
  Adds a start role ID that identifies the role that allow to start the workflow.
  `ChangeWorkflowDefinitionRequest.Builder`
  `addStopRoleId(UUID stopRoleId)`
  Adds a stop role ID that identifies the role that allow to stop the workflow.
  `ChangeWorkflowDefinitionRequest`
  `build()`
  `ChangeWorkflowDefinitionRequest.Builder`
  `businessItemResourceType(WorkflowBusinessItemType businessItemResourceType)`
  The type of the business item corresponding to the workflow.
  `ChangeWorkflowDefinitionRequest.Builder`
  `but()`
  Deprecated.
  This method will be removed in the future.
  `ChangeWorkflowDefinitionRequest.Builder`
  `candidateUserCheckDisabled(Boolean candidateUserCheckDisabled)`
  Deprecated.
  `ChangeWorkflowDefinitionRequest.Builder`
  `candidateUserCheckEnabled(Boolean candidateUserCheckEnabled)`
  Whether the candidate user check for the workflow should be enabled.
  `ChangeWorkflowDefinitionRequest.Builder`
  `configurationVariables(Map<String,String> configurationVariables)`
  The configuration variables.
  `ChangeWorkflowDefinitionRequest.Builder`
  `description(String description)`
  The new description for the workflow definition.
  `ChangeWorkflowDefinitionRequest.Builder`
  `enable(Boolean enable)`
  Whether the workflow definition should be enabled.
  `ChangeWorkflowDefinitionRequest.Builder`
  `exclusivity(WorkflowExclusivity exclusivity)`
  Defines the number of times a resource workflow is able to be start (see `WorkflowExclusivity`).
  `ChangeWorkflowDefinitionRequest.Builder`
  `globalCreate(Boolean globalCreate)`
  Whether the workflow is accessible from the global create menu.
  `ChangeWorkflowDefinitionRequest.Builder`
  `guestUserAccessible(Boolean guestUserAccessible)`
  Whether the workflow should be accessible by the guest user
  `ChangeWorkflowDefinitionRequest.Builder`
  `id(UUID id)`
  Required. The ID of the workflow definition.
  `ChangeWorkflowDefinitionRequest.Builder`
  `name(String name)`
  The name of the workflow definition.
  `ChangeWorkflowDefinitionRequest.Builder`
  `reassignRoleIds(List<UUID> reassignRoleIds)`
  The list of IDs identifying the roles allowing to reassign the workflow.
  `ChangeWorkflowDefinitionRequest.Builder`
  `registeredUserAccessible(Boolean registeredUserAccessible)`
  Whether the workflow should be accessible by the registered user.
  `ChangeWorkflowDefinitionRequest.Builder`
  `startEvents(List<WorkflowStartEventType> startEvents)`
  The list of workflow start event types.
  `ChangeWorkflowDefinitionRequest.Builder`
  `startLabel(String startLabel)`
  The start label of the workflow.
  `ChangeWorkflowDefinitionRequest.Builder`
  `startRoleIds(List<UUID> startRoleIds)`
  The list of IDs identifying the roles allowing to start the workflow.
  `ChangeWorkflowDefinitionRequest.Builder`
  `stopRoleIds(List<UUID> stopRoleIds)`
  The list of IDs identifying the roles allowing to stop the workflow.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### addConfigurationVariable

    public ChangeWorkflowDefinitionRequest.Builder addConfigurationVariable(String configurationVariableKey, String configurationVariableValue)
    Adds configuration variable.
    Parameters:
      `configurationVariableKey` - the configuration variable key
      `configurationVariableValue` - the configuration variable value

  - ### addStartEvent

    public ChangeWorkflowDefinitionRequest.Builder addStartEvent(WorkflowStartEventType startEvent)
    Adds a workflow start event.
    Parameters:
      `startEvent` - a workflow start event

  - ### addStartRoleId

    public ChangeWorkflowDefinitionRequest.Builder addStartRoleId(UUID startRoleId)
    Adds a start role ID that identifies the role that allow to start the workflow.
    Parameters:
      `startRoleId` - a start role ID.

  - ### addStopRoleId

    public ChangeWorkflowDefinitionRequest.Builder addStopRoleId(UUID stopRoleId)
    Adds a stop role ID that identifies the role that allow to stop the workflow.
    Parameters:
      `stopRoleId` - a stop role ID.

  - ### addReassignRoleId

    public ChangeWorkflowDefinitionRequest.Builder addReassignRoleId(UUID reassignRoleId)
    Adds a reassign role ID that identifies the role that allow to reassign the workflow.
    Parameters:
      `reassignRoleId` - a reassign role ID.

  - ### but

    @Deprecated public ChangeWorkflowDefinitionRequest.Builder but()
    Deprecated.
    This method will be removed in the future. Please, use `ChangeWorkflowDefinitionRequest.builder()`
    Clone method for this Builder.

  - ### id

    public ChangeWorkflowDefinitionRequest.Builder id(UUID id)
    Required. The ID of the workflow definition. Silently ignored if the ID is provided as path parameter of the request.
    Returns:
      `this`.

  - ### name

    public ChangeWorkflowDefinitionRequest.Builder name(String name)
    The name of the workflow definition.
    Returns:
      `this`.

  - ### description

    public ChangeWorkflowDefinitionRequest.Builder description(String description)
    The new description for the workflow definition.
    Returns:
      `this`.

  - ### configurationVariables

    public ChangeWorkflowDefinitionRequest.Builder configurationVariables(Map<String,String> configurationVariables)
    The configuration variables.
    Returns:
      `this`.

  - ### startEvents

    public ChangeWorkflowDefinitionRequest.Builder startEvents(List<WorkflowStartEventType> startEvents)
    The list of workflow start event types.
    Returns:
      `this`.

  - ### businessItemResourceType

    public ChangeWorkflowDefinitionRequest.Builder businessItemResourceType(WorkflowBusinessItemType businessItemResourceType)
    The type of the business item corresponding to the workflow.
    Returns:
      `this`.

  - ### exclusivity

    public ChangeWorkflowDefinitionRequest.Builder exclusivity(WorkflowExclusivity exclusivity)
    Defines the number of times a resource workflow is able to be start (see `WorkflowExclusivity`).
    Returns:
      `this`.

  - ### guestUserAccessible

    public ChangeWorkflowDefinitionRequest.Builder guestUserAccessible(Boolean guestUserAccessible)
    Whether the workflow should be accessible by the guest user
    Returns:
      `this`.

  - ### registeredUserAccessible

    public ChangeWorkflowDefinitionRequest.Builder registeredUserAccessible(Boolean registeredUserAccessible)
    Whether the workflow should be accessible by the registered user.
    Returns:
      `this`.

  - ### candidateUserCheckDisabled

    @Deprecated public ChangeWorkflowDefinitionRequest.Builder candidateUserCheckDisabled(Boolean candidateUserCheckDisabled)
    Deprecated.
    Whether the candidate user check for the workflow should be disabled.
    Returns:
      `this`.

  - ### candidateUserCheckEnabled

    public ChangeWorkflowDefinitionRequest.Builder candidateUserCheckEnabled(Boolean candidateUserCheckEnabled)
    Whether the candidate user check for the workflow should be enabled.
    Returns:
      `this`.

  - ### globalCreate

    public ChangeWorkflowDefinitionRequest.Builder globalCreate(Boolean globalCreate)
    Whether the workflow is accessible from the global create menu.
    Returns:
      `this`.

  - ### enable

    public ChangeWorkflowDefinitionRequest.Builder enable(Boolean enable)
    Whether the workflow definition should be enabled.
    Returns:
      `this`.

  - ### startLabel

    public ChangeWorkflowDefinitionRequest.Builder startLabel(String startLabel)
    The start label of the workflow.
    Returns:
      `this`.

  - ### startRoleIds

    public ChangeWorkflowDefinitionRequest.Builder startRoleIds(List<UUID> startRoleIds)
    The list of IDs identifying the roles allowing to start the workflow.
    Returns:
      `this`.

  - ### stopRoleIds

    public ChangeWorkflowDefinitionRequest.Builder stopRoleIds(List<UUID> stopRoleIds)
    The list of IDs identifying the roles allowing to stop the workflow.
    Returns:
      `this`.

  - ### reassignRoleIds

    public ChangeWorkflowDefinitionRequest.Builder reassignRoleIds(List<UUID> reassignRoleIds)
    The list of IDs identifying the roles allowing to reassign the workflow.
    Returns:
      `this`.

  - ### build

    public ChangeWorkflowDefinitionRequest build()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`